!SESSION 2007-07-30 15:12:07.921 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.5.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_TW
Command-line arguments:  -data D:\NIOS_II\DE2-70\production_tool -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.jface 2 0 2007-07-30 15:12:11.906
!MESSAGE The image could not be loaded: URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:173)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:56)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:83)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.ResourceManager.createImageWithDefault(ResourceManager.java:114)
	at org.eclipse.jface.action.ActionContributionItem.updateImages(ActionContributionItem.java:936)
	at org.eclipse.jface.action.ActionContributionItem.update(ActionContributionItem.java:709)
	at org.eclipse.jface.action.ActionContributionItem.fill(ActionContributionItem.java:330)
	at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:317)
	at org.eclipse.ui.internal.ViewPane.updateActionBars(ViewPane.java:443)
	at org.eclipse.ui.internal.ViewActionBars.updateActionBars(ViewActionBars.java:59)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:363)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:197)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:566)
	at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:290)
	at org.eclipse.ui.internal.ViewPane.setVisible(ViewPane.java:525)
	at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(PresentablePart.java:140)
	at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(PresentablePartFolder.java:268)
	at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftToRightTabOrder.java:65)
	at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart(TabbedStackPresentation.java:394)
	at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.java:1144)
	at org.eclipse.ui.internal.PartStack.setSelection(PartStack.java:1097)
	at org.eclipse.ui.internal.PartStack.showPart(PartStack.java:1311)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:601)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:532)
	at org.eclipse.ui.internal.PartSashContainer.createControl(PartSashContainer.java:562)
	at org.eclipse.ui.internal.PerspectiveHelper.activate(PerspectiveHelper.java:244)
	at org.eclipse.ui.internal.Perspective.onActivate(Perspective.java:815)
	at org.eclipse.ui.internal.WorkbenchPage.onActivate(WorkbenchPage.java:2436)
	at org.eclipse.ui.internal.WorkbenchWindow$6.run(WorkbenchWindow.java:2616)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)
	at org.eclipse.ui.internal.WorkbenchWindow.setActivePage(WorkbenchWindow.java:2597)
	at org.eclipse.ui.internal.WorkbenchWindow.busyOpenPage(WorkbenchWindow.java:658)
	at org.eclipse.ui.internal.Workbench.busyOpenWorkbenchWindow(Workbench.java:795)
	at org.eclipse.ui.internal.Workbench.doOpenFirstTimeWindow(Workbench.java:1437)
	at org.eclipse.ui.internal.Workbench.openFirstTimeWindow(Workbench.java:1388)
	at org.eclipse.ui.internal.WorkbenchConfigurer.openFirstTimeWindow(WorkbenchConfigurer.java:190)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:708)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1085)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1847)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY com.altera.ide.core 2 2 2007-07-30 15:12:18.343
!MESSAGE Invalid template: linux. Reason: template.xml file not found

!ENTRY com.altera.ide.core 1 0 2007-07-30 15:12:54.171
!MESSAGE sh C:/altera/71/quartus/sopc_builder/bin/sopc_builder --update_classes_and_exit --no_splash -s --projectpath=D:/NIOS_II/DE2-70/production_tool 

!ENTRY com.altera.nj.launch 1 0 2007-07-30 15:13:18.500
!MESSAGE jtagconfig --listhardware 

!ENTRY com.altera.nj.launch 1 0 2007-07-30 15:13:51.984
!MESSAGE jtagconfig --cable USB-Blaster [USB-0] --extra-info 

!ENTRY com.altera.nj.launch 1 0 2007-07-30 15:14:02.515
!MESSAGE jtagconfig --cable USB-Blaster [USB-0] --extra-info 

!ENTRY com.altera.nj.launch 1 0 2007-07-30 15:14:08.046
!MESSAGE jtagconfig --cable USB-Blaster [USB-0] --extra-info 

!ENTRY com.altera.ide.core 1 0 2007-07-30 15:14:16.453
!MESSAGE C:\altera\71\quartus\bin\cygwin\bin/cygpath --unix --file - 

!ENTRY com.altera.nj.launch 1 0 2007-07-30 15:16:22.578
!MESSAGE jtagconfig --cable USB-Blaster [USB-0] --extra-info 

!ENTRY org.eclipse.ui 4 4 2007-07-30 18:22:15.750
!MESSAGE Unhandled event loop exception

!ENTRY org.eclipse.ui 4 0 2007-07-30 18:22:15.765
!MESSAGE java.lang.NullPointerException
!STACK 0
java.lang.NullPointerException
	at org.eclipse.cdt.managedbuilder.internal.macros.MbsMacroSupplier.getMacro(MbsMacroSupplier.java:418)
	at org.eclipse.cdt.managedbuilder.internal.macros.MbsMacroSupplier.getMacro(MbsMacroSupplier.java:347)
	at org.eclipse.cdt.managedbuilder.internal.macros.MbsMacroSupplier.getMacros(MbsMacroSupplier.java:665)
	at org.eclipse.cdt.managedbuilder.internal.macros.BuildMacroProvider.getMacros(BuildMacroProvider.java:111)
	at org.eclipse.cdt.managedbuilder.internal.macros.MacroResolver.checkIntegrity(MacroResolver.java:260)
	at org.eclipse.cdt.managedbuilder.internal.ui.MacrosBlock.updateValues(MacrosBlock.java:921)
	at org.eclipse.cdt.managedbuilder.internal.ui.MacrosSetBlock.updateValues(MacrosSetBlock.java:260)
	at org.eclipse.cdt.managedbuilder.internal.ui.MacrosSetBlock.setVisible(MacrosSetBlock.java:221)
	at org.eclipse.cdt.ui.dialogs.TabFolderOptionBlock.setCurrentPage(TabFolderOptionBlock.java:247)
	at org.eclipse.cdt.ui.dialogs.TabFolderOptionBlock$1.widgetSelected(TabFolderOptionBlock.java:128)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:820)
	at org.eclipse.jface.window.Window.open(Window.java:796)
	at com.altera.ide.ui.actions.SystemPropertiesAction.openPropertyDialog(SystemPropertiesAction.java:122)
	at com.altera.ide.ui.actions.SystemPropertiesAction.openPropertyDialog(SystemPropertiesAction.java:89)
	at com.altera.ide.ui.actions.SystemPropertiesAction.run(SystemPropertiesAction.java:81)
	at org.eclipse.ui.internal.PluginAction.runWithEvent(PluginAction.java:254)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)
!SESSION 2007-07-31 09:24:16.500 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.5.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_TW
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.jface 2 0 2007-07-31 09:24:29.203
!MESSAGE The image could not be loaded: URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:173)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:56)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:83)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.ResourceManager.createImageWithDefault(ResourceManager.java:114)
	at org.eclipse.jface.action.ActionContributionItem.updateImages(ActionContributionItem.java:936)
	at org.eclipse.jface.action.ActionContributionItem.update(ActionContributionItem.java:709)
	at org.eclipse.jface.action.ActionContributionItem.fill(ActionContributionItem.java:330)
	at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:317)
	at org.eclipse.ui.internal.ViewPane.updateActionBars(ViewPane.java:443)
	at org.eclipse.ui.internal.ViewActionBars.updateActionBars(ViewActionBars.java:59)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:363)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:197)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:566)
	at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:290)
	at org.eclipse.ui.internal.ViewPane.setVisible(ViewPane.java:525)
	at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(PresentablePart.java:140)
	at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(PresentablePartFolder.java:268)
	at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftToRightTabOrder.java:65)
	at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart(TabbedStackPresentation.java:394)
	at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.java:1144)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:620)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:532)
	at org.eclipse.ui.internal.PartSashContainer.createControl(PartSashContainer.java:562)
	at org.eclipse.ui.internal.PerspectiveHelper.activate(PerspectiveHelper.java:244)
	at org.eclipse.ui.internal.Perspective.onActivate(Perspective.java:815)
	at org.eclipse.ui.internal.WorkbenchPage.onActivate(WorkbenchPage.java:2436)
	at org.eclipse.ui.internal.WorkbenchWindow$6.run(WorkbenchWindow.java:2616)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)
	at org.eclipse.ui.internal.WorkbenchWindow.setActivePage(WorkbenchWindow.java:2597)
	at org.eclipse.ui.internal.WorkbenchWindow.restoreState(WorkbenchWindow.java:1982)
	at org.eclipse.ui.internal.Workbench.doRestoreState(Workbench.java:2857)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1665)
	at org.eclipse.ui.internal.Workbench.access$12(Workbench.java:1650)
	at org.eclipse.ui.internal.Workbench$17.run(Workbench.java:1529)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1473)
	at org.eclipse.ui.internal.WorkbenchConfigurer.restoreState(WorkbenchConfigurer.java:183)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:702)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1085)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1847)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY com.altera.ide.core 1 0 2007-07-31 09:25:43.187
!MESSAGE C:\altera\71\quartus\bin\cygwin\bin/cygpath --unix --file - 

!ENTRY com.altera.nj.launch 4 104 2007-07-31 11:11:48.796
!MESSAGE The Nios II ELF executable does not exist. Please verify that the project production_tool built successfully.
!STACK 0
java.io.FileNotFoundException: D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.getProgramFile(Nios2LaunchConfigurationDelegate.java:1406)
	at org.eclipse.cdt.launch.AbstractCLaunchDelegate.verifyProgramFile(AbstractCLaunchDelegate.java:378)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:373)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
!SUBENTRY 1 com.altera.nj.launch 4 104 2007-07-31 11:11:48.796
!MESSAGE D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
!STACK 0
java.io.FileNotFoundException: D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.getProgramFile(Nios2LaunchConfigurationDelegate.java:1406)
	at org.eclipse.cdt.launch.AbstractCLaunchDelegate.verifyProgramFile(AbstractCLaunchDelegate.java:378)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:373)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)

!ENTRY com.altera.nj.launch 4 104 2007-07-31 11:17:00.875
!MESSAGE The Nios II ELF executable does not exist. Please verify that the project production_tool built successfully.
!STACK 0
java.io.FileNotFoundException: D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.getProgramFile(Nios2LaunchConfigurationDelegate.java:1406)
	at org.eclipse.cdt.launch.AbstractCLaunchDelegate.verifyProgramFile(AbstractCLaunchDelegate.java:378)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:373)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
!SUBENTRY 1 com.altera.nj.launch 4 104 2007-07-31 11:17:00.875
!MESSAGE D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
!STACK 0
java.io.FileNotFoundException: D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.getProgramFile(Nios2LaunchConfigurationDelegate.java:1406)
	at org.eclipse.cdt.launch.AbstractCLaunchDelegate.verifyProgramFile(AbstractCLaunchDelegate.java:378)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:373)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)

!ENTRY org.eclipse.ui 4 4 2007-07-31 11:18:56.609
!MESSAGE Unhandled event loop exception

!ENTRY org.eclipse.ui 4 0 2007-07-31 11:18:56.609
!MESSAGE java.lang.NullPointerException
!STACK 0
java.lang.NullPointerException
	at org.eclipse.cdt.managedbuilder.internal.macros.MbsMacroSupplier.getMacro(MbsMacroSupplier.java:418)
	at org.eclipse.cdt.managedbuilder.internal.macros.MbsMacroSupplier.getMacro(MbsMacroSupplier.java:347)
	at org.eclipse.cdt.managedbuilder.internal.macros.MbsMacroSupplier.getMacros(MbsMacroSupplier.java:665)
	at org.eclipse.cdt.managedbuilder.internal.macros.BuildMacroProvider.getMacros(BuildMacroProvider.java:111)
	at org.eclipse.cdt.managedbuilder.internal.macros.MacroResolver.checkIntegrity(MacroResolver.java:260)
	at org.eclipse.cdt.managedbuilder.internal.ui.MacrosBlock.updateValues(MacrosBlock.java:921)
	at org.eclipse.cdt.managedbuilder.internal.ui.MacrosSetBlock.updateValues(MacrosSetBlock.java:260)
	at org.eclipse.cdt.managedbuilder.internal.ui.MacrosSetBlock.setVisible(MacrosSetBlock.java:221)
	at org.eclipse.cdt.ui.dialogs.TabFolderOptionBlock.setCurrentPage(TabFolderOptionBlock.java:247)
	at org.eclipse.cdt.ui.dialogs.TabFolderOptionBlock$1.widgetSelected(TabFolderOptionBlock.java:128)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:820)
	at org.eclipse.jface.window.Window.open(Window.java:796)
	at org.eclipse.ui.dialogs.PropertyDialogAction.run(PropertyDialogAction.java:156)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.core.jobs 4 2 2007-07-31 11:55:44.203
!MESSAGE An internal error occurred during: "Launching".
!STACK 0
java.lang.NullPointerException
	at com.altera.nj.debug.core.NJGDBDebugger.connectToRemoteTarget(NJGDBDebugger.java:174)
	at com.altera.nj.debug.core.NJGDBDebugger.createLaunchSession(NJGDBDebugger.java:124)
	at org.eclipse.cdt.debug.mi.core.GDBCDIDebugger.createDebuggerSession(GDBCDIDebugger.java:73)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.debugAction(Nios2LaunchConfigurationDelegate.java:711)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:415)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
!SESSION 2007-07-31 12:25:37.265 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.5.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_TW
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.jface 2 0 2007-07-31 12:25:42.968
!MESSAGE The image could not be loaded: URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:173)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:56)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:83)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.ResourceManager.createImageWithDefault(ResourceManager.java:114)
	at org.eclipse.jface.action.ActionContributionItem.updateImages(ActionContributionItem.java:936)
	at org.eclipse.jface.action.ActionContributionItem.update(ActionContributionItem.java:709)
	at org.eclipse.jface.action.ActionContributionItem.fill(ActionContributionItem.java:330)
	at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:317)
	at org.eclipse.ui.internal.ViewPane.updateActionBars(ViewPane.java:443)
	at org.eclipse.ui.internal.ViewActionBars.updateActionBars(ViewActionBars.java:59)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:363)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:197)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:566)
	at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:290)
	at org.eclipse.ui.internal.ViewPane.setVisible(ViewPane.java:525)
	at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(PresentablePart.java:140)
	at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(PresentablePartFolder.java:268)
	at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftToRightTabOrder.java:65)
	at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart(TabbedStackPresentation.java:394)
	at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.java:1144)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:620)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:532)
	at org.eclipse.ui.internal.PartSashContainer.createControl(PartSashContainer.java:562)
	at org.eclipse.ui.internal.PerspectiveHelper.activate(PerspectiveHelper.java:244)
	at org.eclipse.ui.internal.Perspective.onActivate(Perspective.java:815)
	at org.eclipse.ui.internal.WorkbenchPage.onActivate(WorkbenchPage.java:2436)
	at org.eclipse.ui.internal.WorkbenchWindow$6.run(WorkbenchWindow.java:2616)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)
	at org.eclipse.ui.internal.WorkbenchWindow.setActivePage(WorkbenchWindow.java:2597)
	at org.eclipse.ui.internal.WorkbenchWindow.restoreState(WorkbenchWindow.java:1982)
	at org.eclipse.ui.internal.Workbench.doRestoreState(Workbench.java:2857)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1665)
	at org.eclipse.ui.internal.Workbench.access$12(Workbench.java:1650)
	at org.eclipse.ui.internal.Workbench$17.run(Workbench.java:1529)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1473)
	at org.eclipse.ui.internal.WorkbenchConfigurer.restoreState(WorkbenchConfigurer.java:183)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:702)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1085)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1847)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY com.altera.ide.core 1 0 2007-07-31 12:25:47.078
!MESSAGE C:\altera\71\quartus\bin\cygwin\bin/cygpath --unix --file - 

!ENTRY com.altera.nj.launch 1 0 2007-07-31 12:26:29.062
!MESSAGE jtagconfig --listhardware 

!ENTRY com.altera.nj.launch 1 0 2007-07-31 12:26:29.437
!MESSAGE jtagconfig --cable USB-Blaster [USB-0] --extra-info 

!ENTRY org.eclipse.core.jobs 4 2 2007-07-31 12:26:46.171
!MESSAGE An internal error occurred during: "Launching".
!STACK 0
java.lang.NullPointerException
	at com.altera.nj.debug.core.NJGDBDebugger.connectToRemoteTarget(NJGDBDebugger.java:174)
	at com.altera.nj.debug.core.NJGDBDebugger.createLaunchSession(NJGDBDebugger.java:124)
	at org.eclipse.cdt.debug.mi.core.GDBCDIDebugger.createDebuggerSession(GDBCDIDebugger.java:73)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.debugAction(Nios2LaunchConfigurationDelegate.java:711)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:415)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)

!ENTRY com.altera.nj.launch 4 104 2007-07-31 12:28:50.187
!MESSAGE The Nios II ELF executable does not exist. Please verify that the project production_tool built successfully.
!STACK 0
java.io.FileNotFoundException: D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.getProgramFile(Nios2LaunchConfigurationDelegate.java:1406)
	at org.eclipse.cdt.launch.AbstractCLaunchDelegate.verifyProgramFile(AbstractCLaunchDelegate.java:378)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:373)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
!SUBENTRY 1 com.altera.nj.launch 4 104 2007-07-31 12:28:50.187
!MESSAGE D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
!STACK 0
java.io.FileNotFoundException: D:/NIOS_II/DE2-70/production_tool/production_tool/Debug/production_tool.elf not found.
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.getProgramFile(Nios2LaunchConfigurationDelegate.java:1406)
	at org.eclipse.cdt.launch.AbstractCLaunchDelegate.verifyProgramFile(AbstractCLaunchDelegate.java:378)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.syncLaunch(Nios2LaunchConfigurationDelegate.java:373)
	at com.altera.nj.launch.internal.Nios2LaunchConfigurationDelegate.launch(Nios2LaunchConfigurationDelegate.java:338)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
!SESSION 2007-07-31 12:29:02.265 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.5.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_TW
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.jface 2 0 2007-07-31 12:29:07.890
!MESSAGE The image could not be loaded: URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:173)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:56)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:83)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.ResourceManager.createImageWithDefault(ResourceManager.java:114)
	at org.eclipse.jface.action.ActionContributionItem.updateImages(ActionContributionItem.java:936)
	at org.eclipse.jface.action.ActionContributionItem.update(ActionContributionItem.java:709)
	at org.eclipse.jface.action.ActionContributionItem.fill(ActionContributionItem.java:330)
	at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:317)
	at org.eclipse.ui.internal.ViewPane.updateActionBars(ViewPane.java:443)
	at org.eclipse.ui.internal.ViewActionBars.updateActionBars(ViewActionBars.java:59)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:363)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:197)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:566)
	at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:290)
	at org.eclipse.ui.internal.ViewPane.setVisible(ViewPane.java:525)
	at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(PresentablePart.java:140)
	at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(PresentablePartFolder.java:268)
	at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftToRightTabOrder.java:65)
	at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart(TabbedStackPresentation.java:394)
	at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.java:1144)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:620)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:532)
	at org.eclipse.ui.internal.PartSashContainer.createControl(PartSashContainer.java:562)
	at org.eclipse.ui.internal.PerspectiveHelper.activate(PerspectiveHelper.java:244)
	at org.eclipse.ui.internal.Perspective.onActivate(Perspective.java:815)
	at org.eclipse.ui.internal.WorkbenchPage.onActivate(WorkbenchPage.java:2436)
	at org.eclipse.ui.internal.WorkbenchWindow$6.run(WorkbenchWindow.java:2616)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)
	at org.eclipse.ui.internal.WorkbenchWindow.setActivePage(WorkbenchWindow.java:2597)
	at org.eclipse.ui.internal.WorkbenchWindow.restoreState(WorkbenchWindow.java:1982)
	at org.eclipse.ui.internal.Workbench.doRestoreState(Workbench.java:2857)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1665)
	at org.eclipse.ui.internal.Workbench.access$12(Workbench.java:1650)
	at org.eclipse.ui.internal.Workbench$17.run(Workbench.java:1529)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1473)
	at org.eclipse.ui.internal.WorkbenchConfigurer.restoreState(WorkbenchConfigurer.java:183)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:702)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1085)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1847)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY com.altera.ide.core 1 0 2007-07-31 12:29:12.375
!MESSAGE C:\altera\71\quartus\bin\cygwin\bin/cygpath --unix --file - 
!SESSION 2007-07-31 13:21:51.359 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.5.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_TW
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.core.resources 4 567 2007-07-31 13:21:52.625
!MESSAGE Workspace restored, but some problems occurred.
!SUBENTRY 1 org.eclipse.core.resources 4 567 2007-07-31 13:21:52.625
!MESSAGE The project description file (.project) for production_tool is missing.  This file contains important information about the project.  The project will not function properly until this file is restored.
!SUBENTRY 1 org.eclipse.core.resources 4 567 2007-07-31 13:21:52.625
!MESSAGE The project description file (.project) for production_tool_syslib is missing.  This file contains important information about the project.  The project will not function properly until this file is restored.

!ENTRY org.eclipse.jface 2 0 2007-07-31 13:21:56.656
!MESSAGE The image could not be loaded: URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(bundleentry://36/icons/dtool16/target_filter.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:173)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:56)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:83)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:87)
	at org.eclipse.jface.resource.ResourceManager.createImageWithDefault(ResourceManager.java:114)
	at org.eclipse.jface.action.ActionContributionItem.updateImages(ActionContributionItem.java:936)
	at org.eclipse.jface.action.ActionContributionItem.update(ActionContributionItem.java:709)
	at org.eclipse.jface.action.ActionContributionItem.fill(ActionContributionItem.java:330)
	at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:317)
	at org.eclipse.ui.internal.ViewPane.updateActionBars(ViewPane.java:443)
	at org.eclipse.ui.internal.ViewActionBars.updateActionBars(ViewActionBars.java:59)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:363)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:197)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:566)
	at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:290)
	at org.eclipse.ui.internal.ViewPane.setVisible(ViewPane.java:525)
	at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(PresentablePart.java:140)
	at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(PresentablePartFolder.java:268)
	at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftToRightTabOrder.java:65)
	at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart(TabbedStackPresentation.java:394)
	at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.java:1144)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:620)
	at org.eclipse.ui.internal.PartStack.createControl(PartStack.java:532)
	at org.eclipse.ui.internal.PartSashContainer.createControl(PartSashContainer.java:562)
	at org.eclipse.ui.internal.PerspectiveHelper.activate(PerspectiveHelper.java:244)
	at org.eclipse.ui.internal.Perspective.onActivate(Perspective.java:815)
	at org.eclipse.ui.internal.WorkbenchPage.onActivate(WorkbenchPage.java:2436)
	at org.eclipse.ui.internal.WorkbenchWindow$6.run(WorkbenchWindow.java:2616)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)
	at org.eclipse.ui.internal.WorkbenchWindow.setActivePage(WorkbenchWindow.java:2597)
	at org.eclipse.ui.internal.WorkbenchWindow.restoreState(WorkbenchWindow.java:1982)
	at org.eclipse.ui.internal.Workbench.doRestoreState(Workbench.java:2857)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1665)
	at org.eclipse.ui.internal.Workbench.access$12(Workbench.java:1650)
	at org.eclipse.ui.internal.Workbench$17.run(Workbench.java:1529)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.ui.internal.Workbench.restoreState(Workbench.java:1473)
	at org.eclipse.ui.internal.WorkbenchConfigurer.restoreState(WorkbenchConfigurer.java:183)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:702)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1085)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1847)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)
